Subject: Re: bug#23234: unexpected results with charset handling in GNU grep 2.23

From: Bjoern Jacke <[email-masked]>
Date: Thu, 7 Apr 2016 00:23:53 +0200

On 06.04.2016 23:04, Eric Blake wrote:
> The change of treating encoding errors as binary files will NOT be
> reverted, but here,

hmm ... think of log files: In log files you will usually find all kind
of encodings. If a user greps for a certain error message string in a
log file he will not be able to find the errors because GNU grep will
terminate grepping as soon as the first byte which does not fit into the
locate encoding pops up. The only way would be to advice users to use
the C locale if that is the only one that will be fixed. I can't believe
that this is what you intended to achieve here.

And what about the output of "Binary file (standard input) matches" on
*stdout*? This is not distinguishable from a line that matched and
contains this text. How should a script catch this situation?

Björn